Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.inOut
Class C_LogFileWriter

    java.lang.Object
      de.farafin.snEADy.inOut.C_LogFileWriter

All Implemented Interfaces:
  I_Constants

    public final class C_LogFileWriter

extends java.lang.Object
implements I_Constants

offers service to write logfiles with a buffer to be able to store local lines which can be stored later..

Author:
  roland, lars

Field Summary
`private java.util.Vector` | `lineList` Comment for `lineList`
`private java.io.File` | `logFile` Comment for `logFile`
`private java.io.FileWriter` | `writer` Comment for `writer`

Fields inherited from interface de.farafin.snEADy.communication.I_Constants
`analyse_ms, auto_grow_delay, auto_slowdown_delay, autogamespeed, closemonitor, damage_length_grow, damage_points_radius, DEBUG, delplayer, easy_points, ejectreplay, emergencyPause, exit_time, FACE_EAST, FACE_NORTH, FACE_SOUTH, FACE_WEST, game_end, goody_length_occ, goody_length_value, goody_points_occ, goody_points_value, goody_shorter_occ, goody_shorter_value, goody_slowdown_occ, goody_speed_occ, IN_ACTION, IN_ERROR_EXC, IN_ERROR_INIT, IN_ERROR_SPACE, IN_ERROR_TIME, IN_EXIT, IN_HEAVEN, init_length, init_move_delay, kill, kill_point_goodies, kill_points_radius, loaddummy, loadhuman, loadlevel, loadplayer, loadscript, logging, max_goody_occ_delay, MAX_HUMAN_PLAYERS, max_mem_check_delay, max_move_delay, max_player_mem, MAX_PLAYERS, max_thinking_ms, memkill, min_cycle_ms, min_move_delay, MOVE_EAST, MOVE_NORTH, MOVE_SOUTH, MOVE_WEST, openmonitor, overalldelay, pause, player_controlling, print_calc_ms, print_parameter, print_player_mem, print_playfield, quit, record, recordname, replay, replay_reverse, replay_stepwidth, replay_stepwise, run, set, show_subcycles, start, stop, suddend_time, survival_points, timekill, tolerance_ms, TURN_LEFT, TURN_NONE, TURN_RIGHT`

Constructor Summary
`C_LogFileWriter(java.lang.String fileName)` constructor
`C_LogFileWriter(java.lang.String root, java.lang.String fileName)`

Method Summary
`void` | `addToLastLine(java.lang.String tail)` concats tail to the last string in the list.
`boolean` | `save()` writs the local list of lines to the file
`void` | `saveAndCloseFile()` safes the stored lines to the file and closes it.
`void` | `storeLine(java.lang.String line)` stors a line to a local list
`boolean` | `writeLine(java.lang.String line)` an class to organize Log-File writings

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logFile

    private java.io.File logFile

  Comment for `logFile`

### lineList

    private java.util.Vector lineList

  Comment for `lineList`

### writer

    private java.io.FileWriter writer

  Comment for `writer`

Constructor Detail

### C_LogFileWriter

    public C_LogFileWriter(java.lang.String fileName)

  constructor

  Parameters:
    `fileName` -

### C_LogFileWriter

    public C_LogFileWriter(java.lang.String root,
                           java.lang.String fileName)

Parameters:
  `root` -
  `fileName` -

Method Detail

### storeLine

    public void storeLine(java.lang.String line)

  stors a line to a local list

  Parameters:
    `line` -

### addToLastLine

    public void addToLastLine(java.lang.String tail)

  concats tail to the last string in the list. if the list is empty, tail is added as a new line.

  Parameters:
    `tail` -

### writeLine

    public boolean writeLine(java.lang.String line)

  an class to organize Log-File writings

  Parameters:
    `line` - writes a line at the end of the file
  Returns:
    true if the line was sucessfully written

### save

    public boolean save()

  writs the local list of lines to the file

  Returns:
    true if the lines were sucessfully written

### saveAndCloseFile

    public void saveAndCloseFile()

  safes the stored lines to the file and closes it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD